"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var commander_1 = __importDefault(require("commander"));
var npmlog_1 = __importDefault(require("npmlog"));
npmlog_1.default.heading = 'github-checks';
var stdin = process.openStdin();
var data = '';
stdin.on('data', function (chunk) { return (data += chunk); });
stdin.on('end', function () {
    commander_1.default
        .option('-t, --target [target]', 'Check target')
        .option('-v, --verbose', 'Verbose output')
        .parse(process.argv);
    if (commander_1.default.verbose) {
        npmlog_1.default.level = 'verbose';
    }
    require('./run')
        .run({ target: commander_1.default.target }, data)
        .then(function (response) { return npmlog_1.default.info(response.message); })
        .catch(function (error) {
        npmlog_1.default.error(error.message);
        process.exit(1);
    });
});
//# sourceMappingURL=index.js.map